/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.dw.db.dao.BugLegacyGradeDao;
import net.northking.cctp.dw.db.service.BugLegacyGradeService;
import net.northking.cctp.dw.db.entity.BugLegacyGrade;

import net.northking.cctp.common.db.BasicDao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 缺陷遗留及严重等级分布
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-20 10:12:52  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugLegacyGradeServiceImpl")
public class BugLegacyGradeServiceImpl extends PaginationService<BugLegacyGrade> implements BugLegacyGradeService
{
private static final Logger logger = LoggerFactory.getLogger(BugLegacyGradeServiceImpl.class);

  private final BugLegacyGradeDao bugLegacyGradeDao;

  public BugLegacyGradeServiceImpl(BugLegacyGradeDao bugLegacyGradeDao) {this.bugLegacyGradeDao = bugLegacyGradeDao;}

  public BasicDao<BugLegacyGrade> getDao() {return bugLegacyGradeDao;}

  public BugLegacyGrade createEntity() { return new BugLegacyGrade();}

  @Override
  protected void beforeInsert(BugLegacyGrade bugLegacyGrade) {

  }

  @Override
  protected void beforeUpdate(BugLegacyGrade bugLegacyGrade) {

  }

  @Override
  public void insertBatch(BugLegacyGrade bugLegacyGrade) {
    bugLegacyGradeDao.insertBatch(bugLegacyGrade);
  }

  @Override
  public List<BugLegacyGrade> getProjectList() {
    return bugLegacyGradeDao.getProjectList();
  }

  @Override
  public Integer deleteByExampleByProjectIds(BugLegacyGrade bugLegacyGrade) {
    return bugLegacyGradeDao.deleteByExampleByProjectIds(bugLegacyGrade);
  }


}

